#----------------------------------------------------------------------------bh-
# This RPM .spec file is part of the OpenHPC project.
#
# It may have been modified from the default version supplied by the underlying
# release package (if available) in order to apply patches, perform customized
# build/install configurations, and supply additional files to support
# desired integration conventions.
#
#----------------------------------------------------------------------------eh-

%include %{_sourcedir}/OHPC_macros

%define pname warewulf-common
%define dname common
%define wwpkgdir /srv/

Name:    %{pname}%{PROJ_DELIM}
Summary: A suite of tools for clustering
Version: 3.9pre
Release: 21.9.ohpc.2.0
License: US Dept. of Energy (BSD-like)
Group:   %{PROJ_NAME}/provisioning
Source: warewulf-%{version}.tar.gz
ExclusiveOS: linux
Conflicts: warewulf < 3
BuildRequires: autoconf, automake
Requires: perl-DBD-MySQL perl-DBD-Pg perl-DBD-SQLite perl-JSON-PP
%if 0%{?rhel} >= 7
BuildArch: noarch
Requires: mariadb-server perl-DBD-MySQL
Requires: perl-Term-ReadLine-Gnu
%else
Requires: mysql perl-DBD-mysql
%endif

%description
Warewulf 3 is a set of utilities designed to better enable
utilization and maintenance of clusters or groups of computers.

This is the main package which includes the common libraries and
command line interface.


%prep
%setup -q -n warewulf-%{version}


%build
cd common
if [ ! -f configure ]; then
    ./autogen.sh
fi
%configure
%{__make} %{?mflags}


%install
cd common
%{__make} install DESTDIR=$RPM_BUILD_ROOT %{?mflags_install}

%{__mkdir} -p $RPM_BUILD_ROOT/%{_docdir}

%pre
groupadd -r warewulf >/dev/null 2>&1 || :


%post
if [ $1 -eq 2 ] ; then
    %{_bindir}/wwsh object canonicalize -t node >/dev/null 2>&1 || :
    %{_bindir}/wwsh object canonicalize -t file >/dev/null 2>&1 || :
fi

%if 0%{?rhel} >= 7
systemctl start mariadb >/dev/null 2>&1 || :
systemctl enable mariadb >/dev/null 2>&1 || :
%else
service mysqld start >/dev/null 2>&1 || :
chkconfig mysqld on >/dev/null 2>&1 || :
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%{OHPC_PUB}
%doc %{dname}/AUTHORS %{dname}/COPYING %{dname}/ChangeLog %{dname}/INSTALL %{dname}/NEWS %{dname}/README %{dname}/TODO %{dname}/LICENSE
%attr(0755, root, warewulf) %dir %{_sysconfdir}/warewulf/
%attr(0755, root, warewulf) %dir %{_sysconfdir}/warewulf/defaults/
%attr(0444, root, warewulf) %{_libexecdir}/warewulf/wwinit/functions
%attr(0644, root, root) %{_sysconfdir}/bash_completion.d/warewulf_completion
%attr(0644, root, warewulf) %config(noreplace) %{_sysconfdir}/warewulf/database.conf
%attr(0640, root, warewulf) %config(noreplace) %{_sysconfdir}/warewulf/database-root.conf
%attr(0644, root, warewulf) %config(noreplace) %{_sysconfdir}/warewulf/defaults/node.conf
%{_mandir}/*
%{_bindir}/*
%{_datadir}/warewulf/
%{_libexecdir}/warewulf/wwinit
%{perl_vendorlib}/*
# 06/14/14 karl.w.schulz@intel.com - include required dir for SUSE
%if 0%{?sles_version} || 0%{?suse_version}
%dir %{_libexecdir}/warewulf/
%endif
